Process feedback
curl --request POST \
--url https://api.vistaly.com/v1/feedback/{feedbackId}/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cardIds": [
"<string>"
]
}
'import requests
url = "https://api.vistaly.com/v1/feedback/{feedbackId}/process"
payload = { "cardIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cardIds: ['<string>']})
};
fetch('https://api.vistaly.com/v1/feedback/{feedbackId}/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"processed": true,
"attachedCardIds": [
"<string>"
],
"message": "<string>"
}{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}feedback
Process feedback
Mark a feedback as processed, optionally attaching it to one or more cards. Attaching highlights the entire feedback and creates an insight linked to the given cards — the same linking that happens when feedback is created with cardIds.
POST
/
v1
/
feedback
/
{feedbackId}
/
process
Process feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the feedback
Body
application/json
Optional array of card IDs to attach the feedback to. Attaching highlights the entire feedback and creates an insight linked to these cards.
Response
Feedback processed successfully
⌘I